package com.infosys.propertyeditor;

import java.io.File;
import java.util.Observable;
import java.util.Observer;
import java.util.Vector;


public class EditorFile extends File {
    
    Vector groupArray = new Vector();
    EditorModified isModified = new EditorModified();
    String errors;
    
    public EditorFile(String path) {
        super(path);
    }
    
    public boolean isModified() {
        return isModified.getState();
    }
    
    public void addGroup(Group g){
        groupArray.add(g);
    }
    
    public void init(){
        groupArray = new Vector();
        isModified.setState(false);
        errors = "";
    }
    
    public Group groupAt(int i){
        return (Group)groupArray.elementAt(i);
    }
    
    public int numGroup(){
        return groupArray.size();
    }
    
    public void setModified(boolean b){
        isModified.setState(b);      
    }
    
    public void setErrorParsing(String e){
        errors = e;
    }
    
    public String getErrorParsing(){
        return errors;
    }
    
    public void addObserver(Observer o){
        isModified.addObserver(o);
    }
    
}

class EditorModified extends Observable {
    boolean isModified = false;
    
    public void setState(boolean b){
        isModified = b;
        setChanged();
        notifyObservers();
    }
    
    public boolean getState(){
        return isModified;
    }
}
