package com.infosys.propertyeditor;


import java.util.Vector;

import javax.swing.JTable;

import com.infosys.propertyeditor.ui.formattedtable.FormattedTableModel;


public class Group {
    
    String name;
    Vector pList; //List of parameters
    
    public Group(String name) {
        this.name = name;
        pList = new Vector();
    }
    
    public String getName(){
        return name;
    }
    
    public void addParameter(Parameter p){
        pList.add(p);
    } 
 
    public Parameter parameterAt(int i){
        return (Parameter)pList.elementAt(i);
    }
    
    public JTable toVisual(){
        
        String[] columnNames = {"Attribute Name", "Attribute Value"};
        
        //DefaultTableModel tableModel = new DefaultTableModel(columnNames, 0);
        
        FormattedTableModel tableModel =  new FormattedTableModel();
        
        for(int i=0; i<pList.size(); i++){
            if(((Parameter)pList.elementAt(i)).isEditable()){
                Object[] rowdata = new Object[2];
                rowdata[0] = parameterAt(i).getName();
                rowdata[1] = pList.elementAt(i);
                
                tableModel.addRow(rowdata);
            }
        }
        
        EditorTable table = new EditorTable(tableModel);
        
        return table;
    }
    
    public String toString(){
        return pList.toString();
    }
    
    public String toText(){
        //System.out.println("\tinto group " + name);
        String newLine = System.getProperty("line.separator");
        String s = "#GROUP NAME = " + name + newLine;
        for (int i=0; i < pList.size(); i++) s += parameterAt(i).toText() + newLine + newLine;
        //System.out.println("\tfinished group " + name);

        return s;
    }
    
}
